aboutsummaryrefslogtreecommitdiff
path: root/0.8.0/paludis/repositories/vdb/vdb_repository_TEST_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-10-11 20:56:59 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-10-11 20:56:59 +0000
commite3b86134db7baada7b3a1e779e7d6d046ab53a1a (patch)
tree6acb3c0de68e1b95dbba8f0e00f770b8f31e4bac /0.8.0/paludis/repositories/vdb/vdb_repository_TEST_setup.sh
parentab9cdb1150d97449e857cd55fe706377c9ab2422 (diff)
downloadpaludis-0.8.0.tar.gz
paludis-0.8.0.tar.xz
Tag release 0.8.00.8.0
Diffstat (limited to '0.8.0/paludis/repositories/vdb/vdb_repository_TEST_setup.sh')
-rwxr-xr-x0.8.0/paludis/repositories/vdb/vdb_repository_TEST_setup.sh35
1 files changed, 35 insertions, 0 deletions
diff --git a/0.8.0/paludis/repositories/vdb/vdb_repository_TEST_setup.sh b/0.8.0/paludis/repositories/vdb/vdb_repository_TEST_setup.sh
new file mode 100755
index 0000000..138a6b1
--- /dev/null
+++ b/0.8.0/paludis/repositories/vdb/vdb_repository_TEST_setup.sh
@@ -0,0 +1,35 @@
+#!/bin/bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir -p vdb_repository_TEST_dir || exit 1
+cd vdb_repository_TEST_dir || exit 1
+
+mkdir -p repo1/cat-{one/{pkg-one-1,pkg-both-1},two/{pkg-two-2,pkg-both-2}} || exit 1
+
+for i in SLOT EAPI; do
+ echo "0" >repo1/cat-one/pkg-one-1/${i}
+done
+
+for i in DEPEND RDEPEND LICENSE INHERITED IUSE PDEPEND PROVIDE; do
+ touch repo1/cat-one/pkg-one-1/${i}
+done
+
+echo "flag1 flag2" >>repo1/cat-one/pkg-one-1/USE
+
+touch "world-empty"
+cat <<END > world-no-match
+cat-one/foo
+cat-one/bar
+cat-one/oink
+END
+cat <<END > world-match
+cat-one/foo
+cat-one/foofoo
+cat-one/bar
+END
+cat <<END > world-no-match-no-eol
+cat-one/foo
+cat-one/bar
+END
+echo -n "cat-one/oink" >> world-no-match-no-eol
+